package cn.wisenergy.chnmuseum.party.common.enums;

public enum FileTypeEnum {

    DATUM("Datum", "资料"),
    IMAGE("Image", "图片"),
    AUDIO("Audio", "音频"),
    VIDEO("Video", "视频");

    // 错误编码
    private String type;
    // 信息
    private String name;

    // 相应编码有参构造函数
    FileTypeEnum(String type, String name) {
        this.type = type;
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
