package cn.wisenergy.chnmuseum.party.common.log;

public enum OperType {
    /**
     *
     */


    SELECT(1,"查询"),
    ADD(2,"新增"),
    UPDATE(3,"修改"),
    DELETE(4,"删除"),
    ENABLE(5,"启用"),
    DISABLE(6,"禁用"),
    IMPORT(7,"导入"),
    LOGIN(8,"登录");

    // 错误编码
    private Integer code;
    // 信息
    private String msg;

    // 相应编码有参构造函数
    OperType(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
